* Define base directory for portability;
%LET base = %STR(q:\rare_stats\final\);
* Include ACS macro;
%INCLUDE "&base.acs.sas";

* Import 1m quadrat data from csv file;
PROC IMPORT OUT= WORK.chekika1m 
            DATAFILE= "&base.Chekika_1.csv"
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
%acs(fname=chekika1m,
     clus_var=network,
     mi=net_size,
     Y_k=plants,
     bigN=4000,
     outname=chek1m_estplants    
);

* Import 2m quadrat data from csv file;
PROC IMPORT OUT= WORK.chekika2m 
            DATAFILE= "&base.Chekika_2.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

%acs(fname=chekika2m,
     clus_var=network,
     mi=net_size,
     Y_k=plants,
     bigN=1000,
     outname=chek2m_estplants    
     );
%acs(fname=chekika2m,
     clus_var=network,
     mi=net_size,
     Y_k=flowering,
     bigN=1000,
     outname=chek2m_estflowering
     );
%acs(fname=chekika2m,
     clus_var=network,
     mi=net_size,
     Y_k=not_flowering,
     bigN=1000,
     outname=chek2m_estnot
     );
%acs(fname=chekika2m,
     clus_var=network,
     mi=net_size,
     Y_k=seedlings,
     bigN=1000,
     outname=chek2m_estseed   
     );

